[arch-commits] Commit in cdrdao/repos (8 files)

Ionut Biru ibiru at archlinux.org
Mon Jan 11 14:59:25 EST 2010


    Date: Monday, January 11, 2010 @ 14:59:25
  Author: ibiru
Revision: 62769

Merged revisions 59914,62751 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/cdrdao/trunk

........
  r59914 | andrea | 2009-11-29 19:28:52 +0200 (Sun, 29 Nov 2009) | 1 line
  
  cleanup
........
  r62751 | andrea | 2010-01-11 20:31:33 +0200 (Mon, 11 Jan 2010) | 2 lines
  
  upgpkg: cdrdao 1.2.3-1
      upstream release
........

Added:
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-k3b.patch
    (from rev 62751, cdrdao/trunk/cdrdao-1.2.3-k3b.patch)
Modified:
  cdrdao/repos/extra-x86_64/	(properties)
  cdrdao/repos/extra-x86_64/PKGBUILD
Deleted:
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-gcc44.patch
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-k3b.patch
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-pkg-config.patch
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-toc2cue.patch
  cdrdao/repos/extra-x86_64/cdrdao-1.2.3-tocparser.patch

-------------------------------+
 PKGBUILD                      |   43 +++++++++++++++-------------------------
 cdrdao-1.2.3-gcc44.patch      |   23 ---------------------
 cdrdao-1.2.3-k3b.patch        |   22 ++++++++++----------
 cdrdao-1.2.3-pkg-config.patch |   15 -------------
 cdrdao-1.2.3-toc2cue.patch    |   12 -----------
 cdrdao-1.2.3-tocparser.patch  |   17 ---------------
 6 files changed, 28 insertions(+), 104 deletions(-)


Property changes on: cdrdao/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /cdrdao/trunk:1-49838
   + /cdrdao/trunk:1-62767

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/PKGBUILD	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,40 +1,31 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: dorphell <dorphell at archlinux.org>
+
 pkgname=cdrdao
-pkgver=1.2.3rc2
+pkgver=1.2.3
 pkgrel=1
 pkgdesc="Records audio/data CD-Rs in disk-at-once (DAO) mode"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://cdrdao.sourceforge.net/"
 depends=('gcc-libs' 'lame' 'libmad' 'libvorbis' 'libao')
-source=(ftp://ftp.archlinux.org/other/cdrdao/${pkgname}-${pkgver}.tar.bz2
-        cdrdao-1.2.3-autoconf-update.patch
-        cdrdao-1.2.3-gcc44.patch
-        cdrdao-1.2.3-k3b.patch
-        cdrdao-1.2.3-pkg-config.patch
-        cdrdao-1.2.3-toc2cue.patch
-        cdrdao-1.2.3-tocparser.patch)
-md5sums=('862f35eeb1c148db8bea99abb4a643fc'
+source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	cdrdao-1.2.3-autoconf-update.patch
+        cdrdao-1.2.3-k3b.patch)
+md5sums=('8d15ba6280bb7ba2f4d6be31d28b3c0c'
          '8e53dfc174f7c0882194caa05e68b85e'
-         '0e09ec11d6804d8db2eccaeb539f3f83'
-         '696f6ca01e1eeb9b6a5be88e535d9398'
-         '829ff219a1c98a0fcccd9ab3ced0cbd1'
-         '6982de2c8ae02169ef5756b5ca1d03a8'
-         'e4afe12b00f686562056b66b29a7e6e4')
+         '696f6ca01e1eeb9b6a5be88e535d9398')
 
 build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
+  cd ${srcdir}/${pkgname}-${pkgver}
+  
   patch -Np1 -i "${srcdir}/cdrdao-1.2.3-autoconf-update.patch" || return 1
-  patch -Np1 -i "${srcdir}/cdrdao-1.2.3-gcc44.patch" || return 1
   patch -Np1 -i "${srcdir}/cdrdao-1.2.3-k3b.patch" || return 1
-  patch -Np1 -i "${srcdir}/cdrdao-1.2.3-pkg-config.patch" || return 1
-  patch -Np1 -i "${srcdir}/cdrdao-1.2.3-toc2cue.patch" || return 1
-  patch -Np1 -i "${srcdir}/cdrdao-1.2.3-tocparser.patch" || return 1
-  aclocal || return 1
-  autoconf || return 1
-  automake || return 1
-  ./configure --prefix=/usr --with-lame || return 1
+  
+  ./configure --prefix=/usr \
+    --mandir=/usr/share/man \
+    --without-xdao || return 1
   make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }

Deleted: extra-x86_64/cdrdao-1.2.3-gcc44.patch
===================================================================
--- extra-x86_64/cdrdao-1.2.3-gcc44.patch	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/cdrdao-1.2.3-gcc44.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,23 +0,0 @@
---- cdrdao-1.2.3rc2/trackdb/TempFileManager.cc~	2008-02-17 14:05:05.000000000 +0100
-+++ cdrdao-1.2.3rc2/trackdb/TempFileManager.cc	2009-04-07 09:05:41.000000000 +0200
-@@ -20,6 +20,7 @@
- #include "TempFileManager.h"
- #include "log.h"
- 
-+#include <stdio.h>
- #include <sys/types.h>
- #include <sys/stat.h>
- #include <unistd.h>
---- cdrdao-1.2.3rc2/dao/CdrDriver.cc~	2009-02-21 11:01:32.000000000 +0100
-+++ cdrdao-1.2.3rc2/dao/CdrDriver.cc	2009-04-07 09:07:14.000000000 +0200
-@@ -2114,8 +2114,8 @@
- 	ret = 1;
-     }
-     else {
--      if ((caps & CDR_READ_CAP_DATA_RW_RAW|CDR_READ_CAP_DATA_PW_RAW) != 0)
--	ret = 1;
-+      if ((caps & (CDR_READ_CAP_DATA_RW_RAW|CDR_READ_CAP_DATA_PW_RAW)) != 0)
-+        ret = 1;
-     }
-     break;
- 

Deleted: extra-x86_64/cdrdao-1.2.3-k3b.patch
===================================================================
--- extra-x86_64/cdrdao-1.2.3-k3b.patch	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/cdrdao-1.2.3-k3b.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,11 +0,0 @@
---- cdrdao/dao/main.cc~	2009-04-16 15:34:27.000000000 +0200
-+++ cdrdao/dao/main.cc	2009-04-16 15:34:38.000000000 +0200
-@@ -207,7 +207,7 @@
- 
- static void printVersion()
- {
--  log_message(2, "Cdrdao version %s - (C) Andreas Mueller <andreas at daneb.de>",
-+  log_message(0, "Cdrdao version %s - (C) Andreas Mueller <andreas at daneb.de>",
- 	  VERSION);
- 
-   std::list<std::string> list;

Copied: cdrdao/repos/extra-x86_64/cdrdao-1.2.3-k3b.patch (from rev 62751, cdrdao/trunk/cdrdao-1.2.3-k3b.patch)
===================================================================
--- extra-x86_64/cdrdao-1.2.3-k3b.patch	                        (rev 0)
+++ extra-x86_64/cdrdao-1.2.3-k3b.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -0,0 +1,11 @@
+--- cdrdao/dao/main.cc~	2009-04-16 15:34:27.000000000 +0200
++++ cdrdao/dao/main.cc	2009-04-16 15:34:38.000000000 +0200
+@@ -207,7 +207,7 @@
+ 
+ static void printVersion()
+ {
+-  log_message(2, "Cdrdao version %s - (C) Andreas Mueller <andreas at daneb.de>",
++  log_message(0, "Cdrdao version %s - (C) Andreas Mueller <andreas at daneb.de>",
+ 	  VERSION);
+ 
+   std::list<std::string> list;

Deleted: extra-x86_64/cdrdao-1.2.3-pkg-config.patch
===================================================================
--- extra-x86_64/cdrdao-1.2.3-pkg-config.patch	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/cdrdao-1.2.3-pkg-config.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,15 +0,0 @@
-diff -NrU5 cdrdao-1.2.3rc2.orig/configure.ac cdrdao-1.2.3rc2/configure.ac
---- cdrdao-1.2.3rc2.orig/configure.ac	2009-05-19 16:03:03.616292795 +0200
-+++ cdrdao-1.2.3rc2/configure.ac	2009-05-19 16:04:55.826318499 +0200
-@@ -32,10 +32,11 @@
- AC_PROG_CPP
- AC_PROG_INSTALL
- AC_PROG_RANLIB
- AC_CHECK_PROG(AR,ar,ar)
- AC_PROG_MAKE_SET
-+PKG_PROG_PKG_CONFIG
- 
- dnl Checks for header files.
- AC_HEADER_STDC
- AC_HEADER_SYS_WAIT
- AC_CHECK_HEADERS(fcntl.h getopt.h malloc.h unistd.h sys/mman.h sched.h)

Deleted: extra-x86_64/cdrdao-1.2.3-toc2cue.patch
===================================================================
--- extra-x86_64/cdrdao-1.2.3-toc2cue.patch	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/cdrdao-1.2.3-toc2cue.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,12 +0,0 @@
-diff -Naur cdrdao-1.2.2/trackdb/TocParser.g cdrdao-1.2.2-cclpatch/trackdb/TocParser.g
---- cdrdao-1.2.2/trackdb/TocParser.g	2008-10-06 08:50:48.000000000 -0700
-+++ cdrdao-1.2.2-cclpatch/trackdb/TocParser.g	2008-10-06 08:50:48.000000000 -0700
-@@ -774,7 +774,7 @@
-       << if (item != NULL) {
-            int type = item->packType();
- 
--           if (isTrack && ((type >= 0x86 && type <= 0x89) || type == 0x8f)) {
-+           if (isTrack && ((type > 0x86 && type <= 0x89) || type == 0x8f)) {
-              log_message(-2, "%s:%d: Invalid CD-TEXT item for a track.",
-                      filename_, lineNr);
-              error_ = 1;

Deleted: extra-x86_64/cdrdao-1.2.3-tocparser.patch
===================================================================
--- extra-x86_64/cdrdao-1.2.3-tocparser.patch	2010-01-11 19:59:14 UTC (rev 62768)
+++ extra-x86_64/cdrdao-1.2.3-tocparser.patch	2010-01-11 19:59:25 UTC (rev 62769)
@@ -1,17 +0,0 @@
---- cdrdao-1.2.3.orig/trackdb/TocParser.g	2009/02/21 21:40:56	1.14
-+++ cdrdao-1.2.3/trackdb/TocParser.g		2009/05/04 15:49:52	1.15
-@@ -511,8 +511,12 @@
-        >>
-     )
-     << if ($st != NULL && $st->length() == 0) {
--          // try to determine length 
--          $st->determineLength();
-+         // try to determine length 
-+         if ($st->determineLength() != 0) {
-+	         log_message(-2, "%s:%d: Cannot determine length of track data specification.",
-+		                 filename_, $lineNr);
-+	         error_ = 1;
-+      	 }
-        }
-     >> 
-     ;



More information about the arch-commits mailing list